BitMagic-C++: Data Fields - Functions

BitMagic-C++

### - s -

- sample() : bm::random_subset< BV >
- search_best_xor_gap() : bm::xor_scanner< BV >
- search_best_xor_mask() : bm::xor_scanner< BV >
- seek() : bm::decoder_base
- select() : bm::bvector< Alloc >
- serial_stream_iterator() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- serialize() : bm::compressed_collection_serializer< CBC > , bm::serializer< BV > , bm::sparse_vector_serializer< SV >
- serializer() : bm::serializer< BV >
- set() : bm::bvector< Alloc > , bm::bvmini< N > , bm::bvps_addr_resolver< BV > , bm::miniset< A, N > , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE > , bm::sv_addr_resolver< SV >
- set2set_11_transform() : bm::set2set_11_transform< SV >
- set_allocator_pool() : bm::basic_bmatrix< BV > , bm::bvector< Alloc > , bm::sparse_vector< Val, BV >
- set_bit() : bm::bvector< Alloc > , bm::bvector_mini< A >
- set_bit_and() : bm::bvector< Alloc >
- set_bit_conditional() : bm::bvector< Alloc >
- set_bit_no_check() : bm::bvector< Alloc >
- set_bookmarks() : bm::serializer< BV > , bm::sparse_vector_serializer< SV >
- set_compression_level() : bm::serializer< BV >
- set_curr_ref_idx() : bm::serializer< BV >
- set_gap_levels() : bm::bvector< Alloc >
- set_metric() : bm::similarity_descriptor< SO, DMD_SZ, IDX_VALUE, SValue, SFunc >
- set_new_blocks_strat() : bm::bvector< Alloc >
- set_null() : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- set_octet() : bm::basic_bmatrix< BV >
- set_operation() : bm::aggregator< BV >
- set_optimization() : bm::aggregator< BV >
- set_plain() : bm::sparse_vector_serial_layout< SV >
- set_pool() : bm::mem_alloc< BA, PA, APool >
- set_pos() : bm::decoder_base , bm::encoder
- set_range() : bm::bvector< Alloc > , bm::deserializer< BV, DEC > , bm::iterator_deserializer< BV, SerialIterator >
- set_range_hint() : bm::aggregator< BV >
- set_ref_vector() : bm::xor_scanner< BV >
- set_ref_vectors() : bm::deserializer< BV, DEC > , bm::operation_deserializer< BV > , bm::serializer< BV >
- set_remap() : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- set_search_range() : bm::sparse_vector_scanner< SV >
- set_similarity() : bm::similarity_descriptor< SO, DMD_SZ, IDX_VALUE, SValue, SFunc >
- set_value() : bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- set_value_no_null() : bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- set_xor_ref() : bm::sparse_vector_serializer< SV >
- shift_left() : bm::bvector< Alloc >
- shift_right() : bm::bvector< Alloc >
- similarity() : bm::similarity_descriptor< SO, DMD_SZ, IDX_VALUE, SValue, SFunc >
- similarity_descriptor() : bm::similarity_descriptor< SO, DMD_SZ, IDX_VALUE, SValue, SFunc >
- size() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::bv_ref_vector< BV > , bm::bvector< Alloc > , bm::compressed_collection< Value, BV > , bm::decoder_base , bm::encoder , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::sparse_vector_serial_layout< SV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- size_internal() : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- skip() : bm::bvector< Alloc >::enumerator
- skip_mono_blocks() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- skip_to_rank() : bm::bvector< Alloc >::enumerator
- skip_zero_values() : bm::rsc_sparse_vector< Val, SV >::const_iterator , bm::sparse_vector< Val, BV >::const_iterator
- sort() : bm::similarity_batch< SDESCR >
- sort_input_blocks_and() : bm::aggregator< BV >
- sort_input_blocks_or() : bm::aggregator< BV >
- sparse_vector() : bm::sparse_vector< Val, BV >
- sparse_vector_deserializer() : bm::sparse_vector_deserializer< SV >
- sparse_vector_scanner() : bm::sparse_vector_scanner< SV >
- sparse_vector_serial_layout() : bm::sparse_vector_serial_layout< SV >
- sparse_vector_serializer() : bm::sparse_vector_serializer< SV >
- sse_empty_guard() : bm::sse_empty_guard
- stage() : bm::aggregator< BV >
- start() : bm::gamma_decoder< T, TBitIO > , bm::interval_enumerator< BV >
- state() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- statistics() : bm::chrono_taker::statistics
- stop() : bm::chrono_taker , bm::gamma_decoder< T, TBitIO >
- stored_plains() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::rsc_sparse_vector< Val, SV >
- str_sparse_vector() : bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- sum() : bm::bitblock_sum_adapter
- sv_addr_resolver() : bm::sv_addr_resolver< SV >
- swap() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::basic_bmatrix< BV > , bm::bvector< Alloc > , bm::bvector_mini< A > , bm::bvmini< N > , bm::interval_enumerator< BV > , bm::miniset< A, N > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- sync() : bm::bvps_addr_resolver< BV > , bm::compressed_collection< Value, BV > , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- sync_size() : bm::bvector< Alloc >